Index: /palm/trunk/SCRIPTS/NCL/profiles.ncl
===================================================================
--- /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 161)
+++ /palm/trunk/SCRIPTS/NCL/profiles.ncl	(revision 162)
@@ -107,7 +107,7 @@
    if ( .not. isvar("over") ) then     		        ; switches overlaying plots on
       over = 0
-      if (stringtointeger(parameter(73)) .NE. 0) then
-         over = stringtointeger(parameter(73))
-         if (stringtointeger(parameter(73)) .NE. 1) then
+      if (stringtointeger(parameter(37)) .NE. 0) then
+         over = stringtointeger(parameter(37))
+         if (stringtointeger(parameter(37)) .NE. 1) then
             print(" ")
             print("Please set 'over' to 0 or 1")
@@ -456,9 +456,14 @@
       end do
    end if
- 
-   dimz  = dimsizes(z_w)
-   dimz  = dimsizes(z_u)
+   if (isvar("z_u") ) then 
+      dimz  = dimsizes(z_u)
+   else
+      if (isvar("z_w"))then 
+         dimz  = dimsizes(z_w)
+      end if
+   end if
    t_all = f->time
    nt    = dimsizes(t_all)
+   delta_t=t_all(nt-1)/nt
  
    ; ****************************************************	
@@ -467,36 +472,53 @@
 
    if ( .not. isvar("start_time_step") ) then   	
-      start_time_step = 1
-      if (parameter(13) .NE. "1") then
-         if (parameter(13) .LE. "1")
+      start_time_step=t_all(1)/3600
+      if (parameter(13) .NE. "t(0)") then
+         if (stringtodouble(parameter(13)) .GT. t_all(nt-1)/3600)
             print(" ")
-            print("Begin at least with time step 2")
+            print("'start_time_step' = "+ parameter(13) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+            print(" ")
+            print("Please select another 'start_time_step'")
             print(" ")
             exit
          end if
-         if (stringtointeger(parameter(13)) .GE. nt)
+         if (stringtofloat(parameter(13)) .LE. t_all(0)/3600)
             print(" ")
-            print("'start_time_step' = "+ parameter(13) +" is greater than available time steps = " + (nt-1))
+            print("'start_time_step' = "+ parameter(13) +"h is equal or lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+            print(" ")
+            print("Please start profiles at least with second time step = "+t_all(1)+"s = "+t_all(1)/3600+"h") 
             print(" ")
             exit
          end if
-         start_time_step = stringtointeger(parameter(13))-1  
+         start_time_step=stringtodouble(parameter(13)) 
       end if
    else 
-      if (start_time_step .LE. 0)
+      if (start_time_step .GT. t_all(nt-1)/3600)
          print(" ")
-         print("Begin at least with time step 1")
+         print("'start_time_step' = "+ start_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print(" ")
+         print("Please select another 'start_time_step'")
          print(" ")
          exit
       end if
-      if (start_time_step .GE. nt)
+      if (start_time_step .LE. t_all(0)/3600)
          print(" ")
-         print("'start_time_step' = "+ start_time_step +" is greater than available time steps = " + (nt-1))
+         print("'start_time_step' = "+ start_time_step +"h is equal or lower than first time step = " + t_all(0)+"s = "+t_all(0)/3600+"h")
+         print(" ")
+         print("Please start profiles at least with second time step = "+t_all(1)+"s = "+t_all(1)/3600+"h")
          print(" ")
          exit
       end if
-      start_time_step = start_time_step - 1 
    end if
-
+   start_time_step = start_time_step*3600
+   if (start_time_step .GT. t_all(0) .AND. start_time_step .LT. t_all(1)+delta_t/2)then
+      st=1
+   end if
+   do i=2,nt-1     
+      if (start_time_step .GE. t_all(i)-delta_t/2 .AND. start_time_step .LT. t_all(i)+delta_t/2)then
+         st=i
+         break
+      end if
+   end do
+  
    ; ****************************************************
    ; end of time step and different types of mistakes that could be done
@@ -504,47 +526,57 @@
 
    if ( .not. isvar("end_time_step") ) then     	
-      end_time_step = nt-1
-      if (parameter(15) .NE. "nt") then
-         if (parameter(15) .LE. "0")
-            print(" ") 
-            print("'end_time_step' = "+parameter(15)+ " is too small; 'end_time_step' should be at least 1 ")
-            print(" ") 
-            exit
-         end if
-         if (stringtointeger(parameter(15)) .GE. nt)
+      end_time_step = t_all(nt-1)/3600
+      if (parameter(15) .NE. "t(end)") then
+         if (stringtodouble(parameter(15)) .GT. t_all(nt-1)/3600)
             print(" ")
-            print("'end_time_step' = "+ parameter(15) +" is greater than available time steps = " + (nt-1))
+            print("'end_time_step' = "+ parameter(15) +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+            print(" ")
+            print("Please select another 'end_time_step'")  
             print(" ")
             exit
          end if
-         if (stringtointeger(parameter(15)) .LT. stringtointeger(parameter(13)) )
+         if (stringtodouble(parameter(15)) .LT. start_time_step/3600)
             print(" ")
-            print("'end_time_step' = "+ parameter(15) +" is lower than 'start_time_step' = "+parameter(13))
+            print("'end_time_step' = "+ parameter(15) +"h is lower than 'start_time_step' = "+parameter(13)+"h")
+            print(" ")
+            print("Please select another 'start_time_step' or 'end_time_step'")
             print(" ")
             exit
          end if
-         end_time_step = stringtointeger(parameter(15))  
+         end_time_step = stringtodouble(parameter(15))
       end if    
    else
-      if (end_time_step .LE. 0)
+      if (end_time_step .GT. t_all(nt-1)/3600)
          print(" ")
-         print("'end_time_step' = "+end_time_step+ " is too small; 'end_time_step' should be at least 1 ")
+         print("'end_time_step' = "+ end_time_step +"h is greater than last time step = " + t_all(nt-1)+"s = "+t_all(nt-1)/3600+"h")
+         print(" ")
+         print("Please select another 'end_time_step'")  
          print(" ")
          exit
       end if
-      if (end_time_step .GE. nt)
+      if (end_time_step .LT. start_time_step/3600)
          print(" ")
-         print("'end_time_step' = "+ end_time_step +" is greater than available time steps = "+(nt-1))
+         print("'end_time_step' = "+ end_time_step +"h is lower than 'start_time_step' = "+start_time_step+"h")
+         print(" ")
+         print("Please select another 'start_time_step' or 'end_time_step'")
          print(" ")
          exit
       end if
-      if (end_time_step .LT. start_time_step)
-            print(" ")
-            print("'end_time_step' = "+end_time_step +" is lower than 'start_time_step' = "+start_time_step)
-            print(" ")
-            exit
+   end if
+   end_time_step = end_time_step*3600
+   if (end_time_step .GT. t_all(0) .AND. end_time_step .LT. t_all(1)+delta_t/2)then
+      et=1
+   end if
+   do i=2,nt-1     
+      if (end_time_step .GE. t_all(i)-delta_t/2 .AND. end_time_step .LT. t_all(i)+delta_t/2)then
+         et=i
+         break
       end if
-      end_time_step = end_time_step - 1
-   end if
+   end do 
+
+   delete(start_time_step)
+   start_time_step=round(st,3)
+   delete(end_time_step)
+   end_time_step=round(et,3)
 
    ; ****************************************************
@@ -557,5 +589,5 @@
    end do
    
-   np = end_time_step-start_time_step  
+   np = end_time_step-start_time_step+1  
    if ( black .eq. 0 ) then
       res=True      
@@ -887,4 +919,5 @@
  
    n_o=0
+   count_var=0
    do varn = 0,dim-1 
         
@@ -908,5 +941,4 @@
          com=isStrSubset(c_var,","+vNam(varn)+"," )      
          if (com)                       
-            check = False
             data(varn,:,:) = temp(start_time_step:end_time_step,0:dimz-1)
             unit(varn) = temp@units
@@ -919,5 +951,4 @@
             mini(n_o)=min(data(varn,:,:))
             maxi(n_o)=max(data(varn,:,:)) 
-            varn=varn+1
             n_o=n_o+1
          end if
@@ -925,5 +956,6 @@
 
       if(check) then
-               
+         count_var=count_var+1
+     
          z = f->$vNam(varn+1)$
   
@@ -935,7 +967,23 @@
             res@gsnRightString     = unit(varn)
             res@trYMinF            = min_z
-            res@trYMaxF            = max_z  
-            res@trXMinF            = min(data(varn,:,:))
-            res@trXMaxF            = max(data(varn,:,:))        
+            res@trYMaxF            = max_z 
+            if (.not. isvar("xs")) then 
+               if (parameter(63) .NE. "x0") then
+                  res@trXMinF = stringtofloat(parameter(63))
+               else
+                  res@trXMinF            = min(data(varn,:,:))
+               end if
+            else 
+               res@trXMinF            = xs
+            end if
+            if (.not. isvar("xe")) then 
+               if (parameter(65) .NE. "xdim") then
+                  res@trXMaxF = stringtofloat(parameter(65))
+               else
+                  res@trXMaxF            = max(data(varn,:,:)) 
+               end if
+            else 
+               res@trXMaxF            = xe  
+            end if                     
             plot(n) = gsn_csm_xy(wks,data(varn,:,:),z,res)  
          end if       
@@ -950,6 +998,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniu
-                  res@trXMaxF            = maxiu                  
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniu
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiu 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if                
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)  
                end if
@@ -964,6 +1028,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniv
-                  res@trXMaxF            = maxiv                   
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniv
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiv 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if                
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
                end if  
@@ -978,6 +1058,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniw
-                  res@trXMaxF            = maxiw                   
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniw
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiw 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if           
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if   
@@ -993,6 +1089,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minipt
-                  res@trXMaxF            = maxipt
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minipt
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxipt 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if  
@@ -1007,6 +1119,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minivpt
-                  res@trXMaxF            = maxivpt 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minivpt
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxivpt 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if 
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
                end if 
@@ -1021,6 +1149,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minilpt
-                  res@trXMaxF            = maxilpt 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minilpt
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxilpt 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if 
@@ -1036,6 +1180,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniq
-                  res@trXMaxF            = maxiq 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minilq
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxilq 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if
@@ -1050,6 +1210,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniqv
-                  res@trXMaxF            = maxiqv
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minilqv
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxilqv 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
                end if
@@ -1064,54 +1240,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniql
-                  res@trXMaxF            = maxiql 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "rho") then                
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:))
-                  plot_q = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:)) 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "s") then                
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:))
-                  plot_s = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:)) 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "sa") then                 
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:)) 
-                  plot_sa = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:))  
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniql
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiql 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if
@@ -1127,6 +1271,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minie
-                  res@trXMaxF            = maxie 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minie
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxie 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if 
@@ -1141,6 +1301,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minies
-                  res@trXMaxF            = maxies
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minies
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxies 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
                end if
@@ -1156,6 +1332,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minikm
-                  res@trXMaxF            = maxikm
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minikm
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxikm 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if 
@@ -1170,23 +1362,23 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = minikh
-                  res@trXMaxF            = maxikh 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = minikh
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxikh 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
-               end if
-            end if
-
-            if (vNam(varn) .EQ. "l") then                 
-               if (over .EQ. 1) then
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:))
-                  plot_l = gsn_csm_xy(wks,data(varn,:,:),z_u,res)
-               else
-                  res@gsnLeftString      = vNam(varn)
-                  res@gsnRightString     = unit(varn)
-                  res@trXMinF            = min(data(varn,:,:))
-                  res@trXMaxF            = max(data(varn,:,:)) 
-                  plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_u,res) 
                end if
             end if
@@ -1201,6 +1393,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpup
-                  res@trXMaxF            = maxiwpup
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpup
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpup 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1215,6 +1423,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwsus
-                  res@trXMaxF            = maxiwsus 
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwsus
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwsus 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res)
                end if
@@ -1229,6 +1453,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwu
-                  res@trXMaxF            = maxiwu
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwu
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwu 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
@@ -1244,6 +1484,22 @@
                   res@gsnLeftString      = vNam(varn)
                   res@gsnRightString     = unit(varn)
-                  res@trXMinF            = miniwpvp
-                  res@trXMaxF            = maxiwpvp
+                  if (.not. isvar("xs")) then 
+                     if (parameter(63) .NE. "x0") then
+                        res@trXMinF = stringtofloat(parameter(63))
+                     else
+                        res@trXMinF            = miniwpvp
+                     end if
+                  else 
+                     res@trXMinF            = xs
+                  end if
+                  if (.not. isvar("xe")) then 
+                     if (parameter(65) .NE. "xdim") then
+                        res@trXMaxF = stringtofloat(parameter(65))
+                     else
+                        res@trXMaxF            = maxiwpvp 
+                     end if
+                  else 
+                     res@trXMaxF            = xe  
+                  end if
                   plot(n) = gsn_csm_xy(wks,data(varn,:,:),z_w,res) 
                end if
